commit 923e65820c89c162b04afa0f6ff0e32f695f311f
Author: Georgios D. Tsoukalas <gtsouk@grnet.gr>
Date:   Wed Jun 5 17:31:55 2013 +0300

    Rename astakos_keystone to astakos_identity

diff --git a/astakosclient/astakosclient/__init__.py b/astakosclient/astakosclient/__init__.py
index c1e269f..3cb22c1 100644
--- a/astakosclient/astakosclient/__init__.py
+++ b/astakosclient/astakosclient/__init__.py
@@ -71,8 +71,8 @@ API_FEEDBACK = join_urls(ACCOUNTS_PREFIX, "feedback")
 
 # --------------------------------------------------------------------
 # Astakos Keystone API urls
-KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_keystone.prefix')
-API_TOKENS = join_urls(KEYSTONE_PREFIX, "tokens")
+IDENTITY_PREFIX = get_path(astakos_services, 'astakos_identity.prefix')
+API_TOKENS = join_urls(IDENTITY_PREFIX, "tokens")
 TOKENS_ENDPOINTS = join_urls(API_TOKENS, "endpoints")
 
 
diff --git a/astakosclient/astakosclient/services.py b/astakosclient/astakosclient/services.py
index 27f4402..061c04a 100644
--- a/astakosclient/astakosclient/services.py
+++ b/astakosclient/astakosclient/services.py
@@ -52,7 +52,7 @@ astakos_services = {
             },
         },
 
-    'astakos_keystone': {
+    'astakos_identity': {
         'type': 'identity',
         'component': 'astakos',
         'prefix': 'identity',
diff --git a/docs/astakos-api-guide.rst b/docs/astakos-api-guide.rst
index aa64111..769dc80 100644
--- a/docs/astakos-api-guide.rst
+++ b/docs/astakos-api-guide.rst
@@ -402,7 +402,7 @@ Example json response:
                 "publicURL": "https://accounts.example.synnefo.org/identity/v2.0",
                 "versionId": "v2.0"}],
             "endpoints_links": [],
-            "name": "astakos_keystone",
+            "name": "astakos_identity",
             "type": "identity"}],
       "token": {
           "expires": "2013-06-19T15:23:59.975572+00:00",
@@ -457,7 +457,7 @@ Example xml response:
                             versionId="v1.0"
                             publicURL="https://accounts.example.synnefo.org/account/v1.0"
             </service>
-            <service type="identity" name="astakos_keystone" SNF:uiURL="">
+            <service type="identity" name="astakos_identity" SNF:uiURL="">
                     <endpoint
                             versionId="v2.0"
                             publicURL="https://accounts.example.synnefo.org/identity/v2.0"
diff --git a/snf-astakos-app/astakos/im/settings.py b/snf-astakos-app/astakos/im/settings.py
index 0576292..f711959 100644
--- a/snf-astakos-app/astakos/im/settings.py
+++ b/snf-astakos-app/astakos/im/settings.py
@@ -19,7 +19,7 @@ astakos_services = deepcopy(vanilla_astakos_services)
 fill_endpoints(astakos_services, BASE_URL)
 ACCOUNTS_PREFIX = get_path(astakos_services, 'astakos_account.prefix')
 VIEWS_PREFIX = get_path(astakos_services, 'astakos_ui.prefix')
-KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_keystone.prefix')
+KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_identity.prefix')
 
 # Set the expiration time of newly created auth tokens
 # to be this many hours after their creation time.
diff --git a/snf-astakos-app/astakos/scripts/snf_service_export.py b/snf-astakos-app/astakos/scripts/snf_service_export.py
index c935d57..92f153c 100644
--- a/snf-astakos-app/astakos/scripts/snf_service_export.py
+++ b/snf-astakos-app/astakos/scripts/snf_service_export.py
@@ -25,7 +25,7 @@ astakos_services = {
         },
     },
 
-    'astakos_keystone': {
+    'astakos_identity': {
         'type': 'identity',
         'component': 'astakos',
         'prefix': 'identity',
diff --git a/snf-cyclades-app/synnefo/cyclades_settings.py b/snf-cyclades-app/synnefo/cyclades_settings.py
index 4afa4e1..544605c 100644
--- a/snf-cyclades-app/synnefo/cyclades_settings.py
+++ b/snf-cyclades-app/synnefo/cyclades_settings.py
@@ -81,7 +81,7 @@ for path, value in CUSTOMIZE_ASTAKOS_SERVICES:
 
 ASTAKOS_ACCOUNTS_PREFIX = get_path(astakos_services, 'astakos_account.prefix')
 ASTAKOS_VIEWS_PREFIX = get_path(astakos_services, 'astakos_ui.prefix')
-ASTAKOS_KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_keystone.prefix')
+ASTAKOS_KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_identity.prefix')
 
 
 # Proxy Astakos settings
diff --git a/snf-pithos-app/pithos/api/settings.py b/snf-pithos-app/pithos/api/settings.py
index e9fb2a8..ba42dd6 100644
--- a/snf-pithos-app/pithos/api/settings.py
+++ b/snf-pithos-app/pithos/api/settings.py
@@ -34,7 +34,7 @@ for path, value in CUSTOMIZE_ASTAKOS_SERVICES:
 
 ASTAKOS_ACCOUNTS_PREFIX = get_path(astakos_services, 'astakos_account.prefix')
 ASTAKOS_VIEWS_PREFIX = get_path(astakos_services, 'astakos_ui.prefix')
-ASTAKOS_KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_keystone.prefix')
+ASTAKOS_KEYSTONE_PREFIX = get_path(astakos_services, 'astakos_identity.prefix')
 
 BASE_ASTAKOS_PROXY_PATH = getattr(settings, 'PITHOS_BASE_ASTAKOS_PROXY_PATH',
                                   ASTAKOS_BASE_PATH)
